package fergason;
import java.awt.*; // access the Graphics object
import java.awt.event.*;
import javax.swing.*; // access to JApplet


public class Kresleni extends JFrame {
	
	private static final long serialVersionUID = 1;
	private Platno platno, nahled1, nahled2, nahled3;
	private JLabel status;
	private JButton clear; 
        private JPanel btnp;
        
        public Kresleni(){
            super("Kresleni");
            super.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
            super.setMinimumSize(new Dimension(400, 410));
            super.setSize(new Dimension(600, 615));
            getMenu();
            initComponents();  
        }
        
        
	public void initComponents() {
		
            Container content = getContentPane ();
            content.setLayout(new BorderLayout());
            Container leva = getContentPane ();
            leva.setLayout(new BorderLayout());
	    JPanel pnl = new JPanel();
            JPanel obsah = new JPanel();
	    status=new JLabel("Start");
	    platno = new Platno(status);
            nahled1 = new Platno(status);
            nahled2 = new Platno(status);
            nahled3 = new Platno(status);
            platno.setBackground(Color.white);
            nahled1.setBackground(Color.black);
            nahled2.setBackground(Color.white);
            nahled3.setBackground(Color.black);
      
            obsah.setLayout(new BoxLayout(obsah,BoxLayout.Y_AXIS));
                        
	    pnl.setLayout(new BoxLayout(pnl,BoxLayout.Y_AXIS));
	    clear = new JButton("Vymazat");
            clear.addActionListener(new Clear());
            
            btnp = new JPanel();
            btnp.setBorder(BorderFactory.createTitledBorder("Nakresli"));
            btnp.setLayout(new BoxLayout(btnp, BoxLayout.PAGE_AXIS));
            btnp.setPreferredSize(new Dimension(100, 200));
            
            pnl.add(clear);
            pnl.setBorder(javax.swing.BorderFactory.createTitledBorder("Ovladani"));
            obsah.add(nahled1);
            obsah.add(nahled2);
            obsah.add(nahled3);
	    content.add (pnl,BorderLayout.WEST);
            content.add (obsah,BorderLayout.EAST);
       	    content.add (platno,BorderLayout.CENTER);
            content.add (status,BorderLayout.SOUTH);
            
            
            
	  }
        
private JMenuBar getMenu() {
    
    JMenuBar menuBar = new JMenuBar();
    JMenu file = new JMenu("File");
		file.setMnemonic('F');
		JMenuItem newItem = new JMenuItem("New");
		newItem.setMnemonic('N');
                newItem.addActionListener(new Clear());
		file.add(newItem);
		JMenuItem exitItem = new JMenuItem("Exit");
		exitItem.setMnemonic('x');
                exitItem.addActionListener(new ActionListener() {
                    public void actionPerformed(ActionEvent evt) {
                        System.exit(1);
                    }
                });
		file.add(exitItem);
    
    menuBar.add(file);
    setJMenuBar(menuBar);            
    return menuBar;
}
 
class Clear implements ActionListener {
 	public void actionPerformed(ActionEvent e) {
                    platno.clear();
                }
}

}