package fergason;

import java.util.ArrayList;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.Vector;



class Platno extends JPanel implements MouseListener, MouseMotionListener {

    Vector vector = new Vector(); //
    
    protected static final long serialVersionUID = 1;
    private JLabel status;
       private Graphics2D g2;
    private int vybrano = -1;
    public Platno(JLabel status) {
               this.status = status;
        addMouseListener(this);
        addMouseMotionListener(this);
        
    }

    @Override
    public void paint(Graphics g) {
        super.paintComponent(g);
        g2 = (Graphics2D) g;
        g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
                RenderingHints.VALUE_ANTIALIAS_ON);
        //System.out.println(vector.size());//vypsani velikosti vektoru
        for(int ch=1; ch<vector.size();ch+=2)
        {
            Bod c = (Bod)vector.get(ch);
            Bod d = (Bod)vector.get((ch-1));
            g.drawLine((int)c.getX(), (int)c.getY(),(int)d.getX(), (int)d.getY());
            g.setColor(new Color(0xff8800));
            g.drawLine((int)c.getX()+3, (int)c.getY()+3,(int)c.getX()+3, (int)c.getY()-3); //prava
            g.drawLine((int)c.getX()+3, (int)c.getY()+3,(int)c.getX()-3, (int)c.getY()+3);
            g.drawLine((int)c.getX()-3, (int)c.getY()-3,(int)c.getX()+3, (int)c.getY()-3);
            g.drawLine((int)c.getX()-3, (int)c.getY()-3,(int)c.getX()-3, (int)c.getY()+3); //leva
            g.setColor(new Color(0xaaff22));
            g.drawLine((int)d.getX()+3, (int)d.getY()+3,(int)d.getX()+3, (int)d.getY()-3); //prava
            g.drawLine((int)d.getX()+3, (int)d.getY()+3,(int)d.getX()-3, (int)d.getY()+3);
            g.drawLine((int)d.getX()-3, (int)d.getY()-3,(int)d.getX()+3, (int)d.getY()-3);
            g.drawLine((int)d.getX()-3, (int)d.getY()-3,(int)d.getX()-3, (int)d.getY()+3); //leva
            g.setColor(new Color(0x023000));
            g.setColor(new Color(0x000000));
        }

        g.setColor(new Color(0x000000));
    }

    public void mouseClicked(MouseEvent e) {
    }

    public void mouseEntered(MouseEvent e) {
    }

    public void mouseExited(MouseEvent e) {
    }

    public void mouseMoved(MouseEvent e) {
        /*for(int i = 0 ; i < u.size() ; i++){
            if((Math.abs(u.get(i).getStart().getX()-e.getX()) < 10) && (Math.abs(u.get(i).getStart().getY()-e.getY()) < 10))
        }*/
    }

    public void mouseDragged(MouseEvent e) {
       /* aktualni.setEnd(new Bod(e.getX(), e.getY()));
        status.setText("Mouse dragged at: (" + e.getX() + ", " + e.getY() + ")");
        repaint*/
        if(vybrano!=-1)
        {
           Bod x = (Bod)vector.get(vybrano);
           x.setX(e.getX());
           x.setY(e.getY());
           repaint();
        }
    }

    public void mousePressed(MouseEvent e) { /* vytvoreni lomene cary navazuje na posledni bod, repaint pro zobrazeni. */
       
       vybrano = -1;
        for (int i = 0; i < vector.size(); i++)
      {
         Bod x = (Bod)vector.get(i);
         if((Math.abs((x.getX()-e.getX()))<3) && (Math.abs((x.getY()-e.getY()))<3))
         {
             vybrano = i;
         }
      }
        if (vybrano == -1)
        {
            Bod b = new Bod(e.getX(),e.getY()); // pridani bodu do vektoru
       
            vector.add(b); // pridani bodu do vektoru
        }
        status.setText("Kliknuto na: (" + e.getX() + ", " + e.getY() + ")");
        repaint();
    }

    public void mouseReleased(MouseEvent e) {
        status.setText("Pusteno na: (" + e.getX() + ", " + e.getY() + ")");
    }

    protected void clear() {
        vector.clear(); // vymazani obsahu vectoru
        repaint();
    }
} 
